using System.Drawing.Imaging;
using ReactiveUI;

namespace LoraGamepad.Models;

public class BtnConfig : ReactiveObject
{
    private bool _btnLeftUp;
    private bool _btnRightUp;
    private bool _btnRightDown;

    private bool _btnModel1;
    private bool _btnModel2;
    private bool _btnModel3;
    private bool _btnModel4;
    private bool _btnModel5;
    private bool _btnModel6;

    public bool BtnModel1
    {
        get => _btnModel1;
        set => this.RaiseAndSetIfChanged(ref _btnModel1, value);
    }
    public bool BtnModel2
    {
        get => _btnModel2;
        set => this.RaiseAndSetIfChanged(ref _btnModel2, value);
    }
    public bool BtnModel3
    {
        get => _btnModel3;
        set => this.RaiseAndSetIfChanged(ref _btnModel3, value);
    }
    public bool BtnModel4
    {
        get => _btnModel4;
        set => this.RaiseAndSetIfChanged(ref _btnModel4, value);
    }
    public bool BtnModel5
    {
        get => _btnModel5;
        set => this.RaiseAndSetIfChanged(ref _btnModel5, value);
    }
    public bool BtnModel6
    {
        get => _btnModel6;
        set => this.RaiseAndSetIfChanged(ref _btnModel6, value);
    }
    public bool BtnLeftUp
    {
        get => _btnLeftUp;
        set => this.RaiseAndSetIfChanged(ref _btnLeftUp, value);
    }
    public bool BtnRightUp
    {
        get => _btnRightUp;
        set => this.RaiseAndSetIfChanged(ref _btnRightUp, value);
    }
    public bool BtnRightDown
    {
        get => _btnRightDown;
        set => this.RaiseAndSetIfChanged(ref _btnRightDown, value);
    }
    
    
}